const Map<String, dynamic> colors = {
  /// Base color
  "black": "#010101",
  "white": "#ffffff",
  "transparent": "0x00000000",

  ///Gray Colors
  "gray": {
    "50": "0xFFFAFAFA",
    "100": "0xFFF4F4F5",
    "200": "0xFFE4E4E7",
    "300": "0xFFD4D4D8",
    "400": "0xFFA1A1AA",
    "500": "0xFF71717A",
    "600": "0xFF52525B",
    "700": "0xFF3F3F46",
    "800": "0xFF27272A",
    "900": "0xFF18181B"
  },

  ///BlueGray Colors

  "blueGray": {
    "50": "0xFFF8FAFC",
    "100": "0xFFF1F5F9",
    "200": "0xFFE2E8F0",
    "300": "0xFFCBD5E1",
    "400": "0xFF94A3B8",
    "500": "0xFF64748B",
    "600": "0xFF475569",
    "700": "0xFF334155",
    "800": "0xFF1E293B",
    "900": "0xFF0F172A",
  },

  /// Cool Gray Colors
  "coolGray": {
    "50": "0xFFF9FAFB",
    "100": "0xFFF3F4F6",
    "200": "0xFFE5E7EB",
    "300": "0xFFD1D5DB",
    "400": "0xFF9CA3AF",
    "500": "0xFF6B7280",
    "600": "0xFF4B5563",
    "700": "0xFF4B5563",
    "800": "0xFF1F2937",
    "900": "0xFF111827",
  },

  ///  True Gray Colors
  "trueGray": {
    "50": "0xFFFAFAFA",
    "100": "0xFFF5F5F5",
    "200": "0xFFE5E5E5",
    "300": "0xFFD4D4D4",
    "400": "0xFFA3A3A3",
    "500": "0xFF737373",
    "600": "0xFF525252",
    "700": "0xFF404040",
    "800": "0xFF262626",
    "900": "0xFF171717",
  },

  ///  Warm Gray Colors
  "warmGray": {
    "50": "0xFFFAFAF9",
    "100": "0xFFF5F5F4",
    "200": "0xFFE7E5E4",
    "300": "0xFFD6D3D1",
    "400": "0xFFA8A29E",
    "500": "0xFF78716C",
    "600": "0xFF57534E",
    "700": "0xFF44403C",
    "800": "0xFF292524",
    "900": "0xFF1C1917",
  },

  ///Red Colors
  "red": {
    "50": "0xFFFEF2F2",
    "100": "0xFFFEE2E2",
    "200": "0xFFFECACA",
    "300": "0xFFFCA5A5",
    "400": "0xFFF87171",
    "500": "0xFFEF4444",
    "600": "0xFFDC2626",
    "700": "0xFFB91C1C",
    "800": "0xFF991B1B",
    "900": "0xFF7F1D1D",
  },

  ///Orange Colors
  "orange": {
    "50": "0xFFFFF7ED",
    "100": "0xFFFFEDD5",
    "200": "0xFFFED7AA",
    "300": "0xFFFDBA74",
    "400": "0xFFFB923C",
    "500": "0xFFF97316",
    "600": "0xFFEA580C",
    "700": "0xFFC2410C",
    "800": "0xFF9A3412",
    "900": "0xFF7C2D12",
  },

  ///Amber Colors
  "amber": {
    "50": "0xFFFFFBEB",
    "100": "0xFFFEF3C7",
    "200": "0xFFFDE68A",
    "300": "0xFFFCD34D",
    "400": "0xFFFBBF24",
    "500": "0xFFF59E0B",
    "600": "0xFFD97706",
    "700": "0xFFB45309",
    "800": "0xFF92400E",
    "900": "0xFF78350F",
  },

  ///Yellow Colors
  "yellow": {
    "50": "0xFFFEFCE8",
    "100": "0xFFFEF9C3",
    "200": "0xFFFEF08A",
    "300": "0xFFFDE047",
    "400": "0xFFFACC15",
    "500": "0xFFEAB308",
    "600": "0xFFCA8A04",
    "700": "0xFFA16207",
    "800": "0xFF854D0E",
    "900": "0xFF713F12",
  },

  ///Lime Colors
  "lime": {
    "50": "0xFFF7FEE7",
    "100": "0xFFECFCCB",
    "200": "0xFFD9F99D",
    "300": "0xFFBEF264",
    "400": "0xFFA3E635",
    "500": "0xFF84CC16",
    "600": "0xFF65A30D",
    "700": "0xFF4D7C0F",
    "800": "0xFF3F6212",
    "900": "0xFF365314",
  },

  ///Green Colors
  "green": {
    "50": "0xFFF0FDF4",
    "100": "0xFFDCFCE7",
    "200": "0xFFBBF7D0",
    "300": "0xFF86EFAC",
    "400": "0xFF4ADE80",
    "500": "0xFF22C55E",
    "600": "0xFF16A34A",
    "700": "0xFF15803D",
    "800": "0xFF166534",
    "900": "0xFF14532D",
  },

  ///Emerald Colors
  "emerald": {
    "50": "0xFFECFDF5",
    "100": "0xFFD1FAE5",
    "200": "0xFFA7F3D0",
    "300": "0xFF6EE7B7",
    "400": "0xFF34D399",
    "500": "0xFF10B981",
    "600": "0xFF059669",
    "700": "0xFF047857",
    "800": "0xFF065F46",
    "900": "0xFF064E3B",
  },

  ///Teal Colors
  "teal": {
    "50": "0xFFF0FDFA",
    "100": "0xFFCCFBF1",
    "200": "0xFF99F6E4",
    "300": "0xFF5EEAD4",
    "400": "0xFF2DD4BF",
    "500": "0xFF14B8A6",
    "600": "0xFF0D9488",
    "700": "0xFF0F766E",
    "800": "0xFF115E59",
    "900": "0xFF134E4A",
  },

  ///Cyan Colors
  "cyan": {
    "50": "0xFFECFEFF",
    "100": "0xFFCFFAFE",
    "200": "0xFFA5F3FC",
    "300": "0xFF67E8F9",
    "400": "0xFF22D3EE",
    "500": "0xFF06B6D4",
    "600": "0xFF0891B2",
    "700": "0xFF0E7490",
    "800": "0xFF155E75",
    "900": "0xFF164E63",
  },

  ///Light Blue Colors
  "lightBlue": {
    "50": "0xFFF0F9FF",
    "100": "0xFFE0F2FE",
    "200": "0xFFBAE6FD",
    "300": "0xFF7DD3FC",
    "400": "0xFF38BDF8",
    "500": "0xFF0EA5E9",
    "600": "0xFF0284C7",
    "700": "0xFF0369A1",
    "800": "0xFF075985",
    "900": "0xFF0C4A6E",
  },

  ///Blue Colors
  "blue": {
    "50": "0xFFEFF6FF",
    "100": "0xFFDBEAFE",
    "200": "0xFFBFDBFE",
    "300": "0xFF93C5FD",
    "400": "0xFF60A5FA",
    "500": "0xFF3B82F6",
    "600": "0xFF2563EB",
    "700": "0xFF1D4ED8",
    "800": "0xFF1E40AF",
    "900": "0xFF1E3A8A",
  },

  ///Indigo Colors
  "indigo": {
    "50": "0xFFEEF2FF",
    "100": "0xFFE0E7FF",
    "200": "0xFFC7D2FE",
    "300": "0xFFA5B4FC",
    "400": "0xFF818CF8",
    "500": "0xFF6366F1",
    "600": "0xFF4F46E5",
    "700": "0xFF4338CA",
    "800": "0xFF3730A3",
    "900": "0xFF312E81",
  },

  ///Violet Colors
  "violet": {
    "50": "0xFFF5F3FF",
    "100": "0xFFEDE9FE",
    "200": "0xFFDDD6FE",
    "300": "0xFFC4B5FD",
    "400": "0xFFA78BFA",
    "500": "0xFF8B5CF6",
    "600": "0xFF7C3AED",
    "700": "0xFF6D28D9",
    "800": "0xFF5B21B6",
    "900": "0xFF4C1D95",
  },

  ///Purple Colors
  "purple": {
    "50": "0xFFFAF5FF",
    "100": "0xFFF3E8FF",
    "200": "0xFFE9D5FF",
    "300": "0xFFD8B4FE",
    "400": "0xFFC084FC",
    "500": "0xFFA855F7",
    "600": "0xFF9333EA",
    "700": "0xFF7E22CE",
    "800": "0xFF6B21A8",
    "900": "0xFF581C87",
  },

  ///Fuchsia Colors
  "fuchsia": {
    "50": "0xFFFDF4FF",
    "100": "0xFFFAE8FF",
    "200": "0xFFF5D0FE",
    "300": "0xFFF0ABFC",
    "400": "0xFFE879F9",
    "500": "0xFFD946EF",
    "600": "0xFFC026D3",
    "700": "0xFFA21CAF",
    "800": "0xFF86198F",
    "900": "0xFF701A75",
  },

  ///Pink Colors
  "pink": {
    "50": "0xFFFDF2F8",
    "100": "0xFFFCE7F3",
    "200": "0xFFFBCFE8",
    "300": "0xFFF9A8D4",
    "400": "0xFFF472B6",
    "500": "0xFFEC4899",
    "600": "0xFFDB2777",
    "700": "0xFFBE185D",
    "800": "0xFF9D174D",
    "900": "0xFF831843",
  },

  ///Rose Colors
  "rose": {
    "50": "0xFFFFF1F2",
    "100": "0xFFFFE4E6",
    "200": "0xFFFECDD3",
    "300": "0xFFFDA4AF",
    "400": "0xFFFB7185",
    "500": "0xFFF43F5E",
    "600": "0xFFE11D48",
    "700": "0xFFBE123C",
    "800": "0xFF9F1239",
    "900": "0xFF881337",
  },
};

const Map<String, dynamic> spacers = {
  "DEFAULT": "16.0",
  "0": "0",
  "1": "0.25",
  "2": "0.5",
  "3": "0.75",
  "4": "1.0",
  "5": "1.25",
  "6": "1.5",
  "7": "1.75",
  "8": "2",
  "9": "2.25",
  "10": "2.5",
  "11": "2.75",
  "12": "3",
  "14": "3.5",
  "16": "4",
  "20": "5",
  "24": "6",
  "28": "7",
  "32": "8",
  "36": "9",
  "40": "10",
  "44": "11",
  "48": "12",
  "52": "13",
  "56": "14",
  "60": "15",
  "64": "16",
};

const Map<String, dynamic> fontSizes = {
  "base": "16.0",
  "xs": "0.75",
  "sm": "0.875",
  "lg": "1.125",
  "xl": "1.25",
  "xl2": "1.5",
  "xl3": "1.875",
  "xl4": "2.25",
  "xl5": "3",
  "xl6": "3.75",
  "xl7": "4.5",
  "xl8": "6",
  "xl9": "8",
};

const Map<String, dynamic> opacity = {
  "10": "0.1",
  "15": "0.15",
  "20": "0.2",
  "25": "0.25",
  "30": "0.3",
  "35": "0.35",
  "40": "0.4",
  "45": "0.45",
  "50": "0.5",
  "55": "0.55",
  "60": "0.6",
  "65": "0.65",
  "70": "0.7",
  "75": "0.75",
  "80": "0.8",
  "85": "0.85",
  "90": "0.9",
  "95": "0.95",
};
