const String target = "tailwind/lib/utilities/";
const String file = "tailwind/lib/utilities/Tw.dart";

const String stub = """
import "package:flutter/material.dart";

/// Mixin [Tw] provides config variables
/// For all utilities

mixin Tw {
  /// Spacers
  //spacers
  
  /// Colors
  
  /// Flutter Theme Colors
  static Color primaryColor(BuildContext context) =>
      Theme.of(context).primaryColor;
  static Color primaryColorDark(BuildContext context) =>
      Theme.of(context).primaryColorDark;
  static Color accentColor(BuildContext context) =>
      Theme.of(context).accentColor;
  static Color backgroundColor(BuildContext context) =>
      Theme.of(context).backgroundColor;
  static Color scaffoldBackgroundColor(BuildContext context) =>
      Theme.of(context).scaffoldBackgroundColor;
  static Color buttonColor(BuildContext context) =>
      Theme.of(context).buttonColor;
  static Color cardColor(BuildContext context) => Theme.of(context).cardColor;
  
  /// Tailwind Colors
  //colors
  
  /// Font Sizes
  //fontSizes
  
  /// Convert Hex Color To Dart [int] Color
  static String hexToColor(String code) {
    if (code.startsWith("0x")) {
      return "0xFF" + code.substring(4, 10).toUpperCase();
    } else if (code.startsWith("#")) {
      return "0xFF" + code.substring(1, 7).toUpperCase();
    }
    return "0xFF" + code.toUpperCase();
  }

  /// Get Color in [int]
  static int getColorFromHex(String hexColor) {
    hexColor = hexColor.toUpperCase().replaceAll("#", "");
    hexColor = hexColor.replaceAll('0X', '');
    if (hexColor.length == 6) {
      hexColor = "FF" + hexColor;
    }
    return int.parse(hexColor, radix: 16);
  }

  /// Convert String to have first letter in caps
  static String ucFirst(String text) {
    return text.trim()[0].toUpperCase() + text.trim().substring(1, text.length).toLowerCase();
  }

  /// Convert String to each word's first letter caps
  static String ucWords(String text) {
    return text.trim().split(' ').map((e) => ucFirst(e)).join(' ');
  }
}

""";
